"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.evaluateActions = void 0;
const core_1 = require("@checkup/core");
function evaluateActions(taskResults, taskConfig) {
    let actionsEvaluator = new core_1.ActionsEvaluator();
    let eslintDisableUsages = core_1.sumOccurrences(taskResults);
    actionsEvaluator.add({
        name: 'reduce-eslint-disable-usages',
        summary: 'Reduce number of eslint-disable usages',
        details: `${eslintDisableUsages} usages of eslint-disable`,
        defaultThreshold: 2,
        items: [`Total eslint-disable usages: ${eslintDisableUsages}`],
        input: eslintDisableUsages,
    });
    return actionsEvaluator.evaluate(taskConfig);
}
exports.evaluateActions = evaluateActions;
//# sourceMappingURL=eslint-disable-actions.js.map